tigase.server.xmppsession

## Class SMResourceConnection

- java.lang.Object
- - tigase.xmpp.RepositoryAccess
  - - tigase.xmpp.XMPPResourceConnection
    - - tigase.server.xmppsession.SMResourceConnection

-     public class SMResourceConnection
      extends XMPPResourceConnection

  Created: Feb 27, 2010 8:02:11 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.xmpp.XMPPResourceConnection

      `ALL_RESOURCES_CAPS_KEY, ALL_RESOURCES_KEY, ALL_RESOURCES_PRIORITY_KEY, AUTHENTICATION_TIMEOUT_KEY, CLOSING_KEY, ERROR_KEY, PRESENCE_KEY`

    - ### Fields inherited from class tigase.xmpp.RepositoryAccess

      `authRepo, authState, domain, is_anonymous, NO_ACCESS_TO_REP_MSG, NOT_AUTHORIZED_MSG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMResourceConnection(JID connectionId, UserRepository rep, AuthRepository authRepo, SessionManagerHandler loginHandler)` Constructs ...

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isServerSession()` Returns information whether this is a server (SessionManager) session or normal user session.
    `boolean` | `isUserId(BareJID bareJID)` Method description

    - ### Methods inherited from class tigase.xmpp.XMPPResourceConnection

      `authorizeJID, computeCommonSessionDataIfAbsent, computeSessionDataIfAbsent, getActiveSessions, getAllResourcesJIDs, getAuthRepository, getAuthTime, getBareJID, getCommonSessionData, getConnectionId, getConnectionId, getConnectionId, getCreationTime, getDefLang, getjid, getJID, getLastAccessed, getPacketsCounter, getParentSession, getPresence, getPriority, getResource, getSessionData, getSessionId, getSMComponentId, getUserId, getUserName, incPacketsCounter, isAuthorized, isEncrypted, isLocalDomain, isResourceSet, isTlsRequired, isTmpSession, login, loginDigest, loginOther, loginPlain, logout, nextStanzaId, putCommonSessionData, putCommonSessionDataIfAbsent, putSessionData, putSessionDataIfAbsent, queryAuth, removeCommonSessionData, removeParentSession, removeSessionData, setConnectionId, setDefLang, setLastAccessed, setParentSession, setPresence, setPriority, setResource, setSessionId, setTmpSession, streamClosed, toString, unregister`

    - ### Methods inherited from class tigase.xmpp.RepositoryAccess

      `addDataList, addOfflineDataList, addPublicDataList, getAuthenticationToken, getAuthState, getData, getDataGroups, getDataKeys, getDataList, getDomain, getDomainAsJID, getOfflineData, getOfflineDataList, getPublicData, getPublicDataList, isAnonymous, loginDigest, loginPlain, loginToken, register, register, removeData, removeDataGroup, removeOfflineData, removeOfflineDataGroup, removePublicData, removePublicDataGroup, setData, setDataList, setDomain, setOfflineData, setOfflineDataList, setPublicData, setPublicDataList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SMResourceConnection

          public SMResourceConnection(JID connectionId,
                                      UserRepository rep,
                                      AuthRepository authRepo,
                                      SessionManagerHandler loginHandler)

      Constructs ...
      Parameters:
        `connectionId` -
        `rep` -
        `authRepo` -
        `loginHandler` -

  - ### Method Detail

    - #### isServerSession

          public boolean isServerSession()

      Description copied from class: `XMPPResourceConnection`
      Returns information whether this is a server (SessionManager) session or normal user session. The server session is used to handle packets addressed to the server itself (local domain name).
      Overrides:
        `isServerSession` in class `XMPPResourceConnection`
      Returns:
        a `boolean` value of `true` if this is the server session and `false` otherwise.

    - #### isUserId

          public boolean isUserId(BareJID bareJID)

      Description copied from class: `XMPPResourceConnection`
      Method description
      Overrides:
        `isUserId` in class `XMPPResourceConnection`
      Returns:
        a value of `boolean`

Copyright © 2022 "Tigase, Inc.". All rights reserved.